package core

import (
	"git.urbach.dev/cli/q/src/token"
	"git.urbach.dev/cli/q/src/types"
)

type Parameter struct {
	name   string
	typ    types.Type
	tokens token.List
}

func NewParameter(tokens token.List) *Parameter {
	return &Parameter{tokens: tokens}
}

func (p *Parameter) Name() string {
	return p.name
}

func (p *Parameter) Type() types.Type {
	return p.typ
}
