package x86

import "git.urbach.dev/cli/q/src/cpu"

// LoadDynamicRegister loads from memory with a register offset into a register.
func LoadDynamicRegister(code []byte, destination cpu.Register, offset cpu.Register, length byte, source cpu.Register) []byte {
	return memoryAccessDynamic(code, 0x8A, 0x8B, source, offset, length, destination)
}
